RFR : 8059000 : hgforest: pass options to serve command

Mike Duigou mike.duigou at oracle.com
Tue Sep 23 23:35:44 UTC 2014


Hello all;

This is a one line change to the hgforest command to pass the command line options to the serve command. This is mostly useful for passing --port option

https://bugs.openjdk.java.net/browse/JDK-8059000

Mike

diff --git a/common/bin/hgforest.sh b/common/bin/hgforest.sh
--- a/common/bin/hgforest.sh
+++ b/common/bin/hgforest.sh
@@ -297,7 +297,7 @@ if [ "${command}" = "serve" ] ; then
       echo "serving root repo ${serving}" > ${status_output}
 
       echo "hg${global_opts} serve" > ${status_output}
-      (PYTHONUNBUFFERED=true hg${global_opts} serve -A ${status_output} -E ${status_output} --pid-file ${tmp}/serve.pid --web-conf ${tmp}/serve.web-conf; echo "$?" > ${tmp}/serve.pid.rc ) 2>&1 &
+      (PYTHONUNBUFFERED=true hg${global_opts} serve -A ${status_output} -E ${status_output} --pid-file ${tmp}/serve.pid --web-conf ${tmp}/serve.web-conf ${command_args}; echo "$?" > ${tmp}/serve.pid.rc ) 2>&1 &
     ) 2>&1 | sed -e "s@^@serve:   @" > ${status_output}
   ) &
 else




More information about the build-dev mailing list